/* Genel Stil */
body {
    margin: 0;
    font-family: "DM Sans", sans-serif;
    line-height: 1.6;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

header {
    background: rgb(215,215,215);
    background: linear-gradient(0deg, rgba(215,215,215,1) 0%, rgba(255,255,255,1) 100%);
    color: #000;
    padding: 1rem 0;
    position: -webkit-sticky; /* Safari */
    position: sticky;
    top: 0;
    z-index: 1000;
}

nav ul {
    list-style: none;
    padding: 0;
    display: flex;
    justify-content: center;
    margin: 0;
}

nav ul li {
    margin: 0 0.5rem;
}

nav ul li a {
    color: #000;
    text-decoration: none;
    font-size: larger;
}

main {
    flex: 1;
}

.hero {
    background: url('decos.jpg') no-repeat center center/cover;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    text-align: center;
    position: relative;
}

.hero::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.hero-text {
    position: relative;
    z-index: 1;
    background: rgba(0, 0, 0, 0);
    padding: 2rem;
    border-radius: 8px;
}

.about {
    background: url('about2.jpg') no-repeat center center/cover;
    padding: 20rem 2rem;
    color: #fff;
    text-align: center;
    position: relative;
}

.about::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.products, .contact {
    padding: 2rem;
    text-align: center;
}

.product-grid {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 1rem;
}

.product-card {
    background: #f4f4f4;
    margin: 1rem;
    padding: 1rem;
    border: 1px solid #ddd;
    width: 300px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    flex: 1 1 calc(50% - 2rem); /* Mobilde her satırda 2 ürün kartı */
}

.product-card img {
    max-width: 100%;
    height: auto;
}

.contact form {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.contact form label, .contact form input, .contact form textarea, .contact form button {
    width: 100%;
    max-width: 500px;
    margin: 0.5rem 0;
    padding: 0.5rem;
}

footer {
    background: #333;
    color: #fff;
    text-align: center;
    padding: 1rem 0;
    position: relative;
    bottom: 0;
    width: 100%;
}

@media (min-width: 769px) {
    .product-card {
        flex: 1 1 calc(16.666% - 2rem); /* Daha büyük ekranlarda her satırda 3 ürün kartı */
    }
}

@media (max-width: 480px) {
    .product-card {
        flex: 1 1 100%; /* Küçük ekranlarda her satırda 1 ürün kartı */
    }
}
